Subject: Re: bug#29321: Isearch hit count

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Nov 2018 00:59:20 +0200

> 1. FWIW, I still see, with Emacs -Q (Emacs 26.1), after
> loading `isearch.count.5.el', the same behavior of
> no prompt when repeating quickly (holding down the
> key) and reversing direction (and holding down the
> key).  Stopping and waiting does not change this -
> the prompt never appears.
>
> This is with `isearch.count.5.el' as the buffer
> being searched, with regexp search with search
> pattern se\(.*\)r.
>
> Do you confirm that you see this also?

Thanks for checking this version.  Now I can confirm
the same after changing lazy-highlight-initial-delay
from 0 to 0.25.  This is now fixed in a new version.

> 2. Instead of a user needing to redefine function
> `isearch-lazy-count-format' wouldn't it be better
> to provide a variable (perhaps even an option) to
> control the prefix-vs-suffix behavior?

Like you suggested, I added a new option in a new version.

(defcustom isearch-lazy-count-prefix #'isearch-lazy-count-prefix-default

But maybe better to allow the users to specify the format like

(defcustom isearch-lazy-count-prefix-format "%s/%s"

What do you think?

Here is a new version: